#include <string>
#include <iostream>

int main(void)
{
  std::string chaine = "Bonjour";

  // Affichage de la chaine
  std::cout << chaine << "\n";


  // Conversion de std::string en char*
  std::cout << chaine.data() << "\n";
  
  // La longueur de la chaine (length et size sont synonymes)
  std::cout << "\"" << chaine << "\" a pour longueur " << chaine.size() << "\n"; 
  std::cout << "\"" << chaine << "\" a pour longueur " << chaine.length() << "\n"; 


  // Acces aux caracteres
  for (int i=0; i<chaine.size(); i++)
	std::cout << chaine[i] << "\n";

    
  // Concatenation de chaines avec l'operateur +
  std::cout << chaine + chaine + chaine << "\n";


  // Ajout de caracteres en fin de chaine avec +=
  chaine += ", toi";
  std::cout << chaine << "\n";
  std::cout << chaine.size() << "\n";

  
  // Affectation d'une nouvelle valeur
  chaine = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  std::cout << chaine << "\n";
  std::cout << chaine.size() << "\n";

  
  // Premier et dernier elements de la chaine (en C++11)
  std::cout << chaine.front() << "\n";
  std::cout << chaine.back() << "\n";


  // Parcours de la chaine avec un iterateur
  for (std::string::iterator it = chaine.begin(); it != chaine.end(); it++)
	std:: cout << *it;
  std::cout << "\n";
  

  // Parcours de la chaine en sens inverse avec un iterateur
  for (std::string::reverse_iterator it = chaine.rbegin(); it != chaine.rend(); it++)
	std:: cout << *it;
  std::cout << "\n";
  
  
  chaine.pop_back(); // Enleve le dernier caractere (en C++11)
  std::cout << chaine << "\n";


  chaine.clear(); // Efface la chaine
  std::cout << chaine << "\n";

  return 0;
}
